let
  PROJECT_ROOT = builtins.toString ./.;
in
{
  services.caddy = {
    enable = true;
    virtualHosts = {
      "ewanick.com" = {
        serverAliases = [ "www.ewanick.com" ];
        extraConfig = ''
          root * ${PROJECT_ROOT}/ewanick.com/
          file_server
        '';
      };
    };
  };
}
