{
  services.gitea = {
    enable = true;
    appName = "Bill's Gitea server, hosted on Linode using NixOS";
    domain = "git.ewanick.com";
    rootUrl = "https://git.ewanick.com/";
    httpPort = 3000;
    settings = {
      service = {
        DISABLE_REGISTRATION = true;
      };
    };
  };

  services.caddy = {
    enable = true;
    virtualHosts = {
      "git.ewanick.com" = {
        extraConfig = ''
          reverse_proxy localhost:3000
        '';
      };
    };
  };
}
